Package org.springframework.security.web.server.header

# Enum Class ClearSiteDataServerHttpHeadersWriter.Directive

java.lang.Object
java.lang.Enum<ClearSiteDataServerHttpHeadersWriter.Directive>
org.springframework.security.web.server.header.ClearSiteDataServerHttpHeadersWriter.Directive

All Implemented Interfaces:
  `Serializable`, `Comparable<ClearSiteDataServerHttpHeadersWriter.Directive>`, `Constable`

Enclosing class:
  ClearSiteDataServerHttpHeadersWriter

public static enum ClearSiteDataServerHttpHeadersWriter.Directive extends Enum<ClearSiteDataServerHttpHeadersWriter.Directive>

Represents the directive values expected by the `ClearSiteDataServerHttpHeadersWriter`

.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
`CACHE`
`COOKIES`
`EXECUTION_CONTEXTS`
`STORAGE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHeaderValue()`
`static ClearSiteDataServerHttpHeadersWriter.Directive`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClearSiteDataServerHttpHeadersWriter.Directive[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CACHE

public static final ClearSiteDataServerHttpHeadersWriter.Directive CACHE

### COOKIES

public static final ClearSiteDataServerHttpHeadersWriter.Directive COOKIES

### STORAGE

public static final ClearSiteDataServerHttpHeadersWriter.Directive STORAGE

### EXECUTION_CONTEXTS

public static final ClearSiteDataServerHttpHeadersWriter.Directive EXECUTION_CONTEXTS

### ALL

public static final ClearSiteDataServerHttpHeadersWriter.Directive ALL

## Method Details

### values

public static ClearSiteDataServerHttpHeadersWriter.Directive[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ClearSiteDataServerHttpHeadersWriter.Directive valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getHeaderValue

public String getHeaderValue()